View Issue Details

IDProjectCategoryView StatusLast Update
0000090luatexluatex bugpublic2008-09-30 11:49
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.29.0 
Target Version0.30.0Fixed in Version0.30.0 
Summary0000090: hyphenation occurs even if \lefthyphenmin and \righthyphenmin are maxed out
DescriptionThe example below when run by context mkiv produces

controller-
s.xmcd

on the second line
Steps To Reproduce\starttext
\def\myfilename#1{{\tttf\lefthyphenmin\maxdimen\righthyphenmin\maxdimen#1}}

\myfilename{Transfer functions for PID and KF controllers.xmcd}
\myfilename{Transfer functions for PID and KF controllers.xmcd}
\myfilename{Transfer functions for PID and KF controllers.xmcd}
\myfilename{Transfer functions for PID and KF controllers.xmcd}
\stoptext
TagsNo tags attached.

Activities

Taco

2008-09-23 14:58

administrator   ~0000050

invalid \lefthyphenmin and \righthyphen min should disable
hyphenation, not implicitly switch to 1, 1

Fixed in #1486

Issue History

Date Modified Username Field Change
2008-09-18 11:11 Taco New Issue
2008-09-18 11:11 Taco Status new => assigned
2008-09-18 11:11 Taco Assigned To => Taco
2008-09-23 14:58 Taco Status assigned => resolved
2008-09-23 14:58 Taco Fixed in Version => 0.30.0
2008-09-23 14:58 Taco Resolution open => fixed
2008-09-23 14:58 Taco Note Added: 0000050
2008-09-30 11:49 Taco Status resolved => closed